MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032144Open CASCADE[OCCT] OCCT:DRAWpublic2021-02-19 14:462021-03-06 13:25
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032144: Draw Harness - add -silent option to command Close
DescriptionCurrently command "Close Doc" throws a Tcl exception if passed document name does not exist.
This is expected behavior, but in some scenarios it is desired just to close existing document (if it exists) before opening new one - current behavior requires writing something like:
Catch { Close D }

in a test script to avoid exception.
But even with such protection test log includes a message of failed attempt to close non-existing document.

It is proposed extended command Close with an option -silent which would not raise an exception or print error message for an empty document.
In addition, command may be extended to handle "*" for closing ALL documents.
Steps To Reproduce
pload DCAF 
NewDocument Doc1
 
NewDocument Doc2 BinOcaf

NewDocument Doc3 BinOcaf
UndoLimit Doc3 100
NewCommand Doc3
set aSetAttr1 100
set aLabel 0:2
SetInteger Doc3 ${aLabel} ${aSetAttr1}
NewCommand Doc3

ListDocuments
Close Doc1 Doc2 -silent
NewDocument Doc1 BinOcaf
NewDocument Doc2 BinOcaf
ListDocuments
Close *
ListDocuments
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0099337)
git (administrator)
2021-03-03 15:42

Branch CR32144 has been created by mkrylova.

SHA-1: d131ad957247e87363cb1756f6048c810aab4556


Detailed log of new commits:

Author: mkrylova
Date: Tue Mar 2 17:22:07 2021 +0300

    0032144: Draw Harness - add -silent option to command Close
    
    - Extended command Close with an option -silent
    - Extended command Close to handle */-ALL for closing ALL documents
(0099342)
git (administrator)
2021-03-03 19:39

Branch CR32144 has been updated by mkrylova.

SHA-1: a6f8c71720109e2450daffd90e721787dbf65170


Detailed log of new commits:

Author: mkrylova
Date: Wed Mar 3 19:39:56 2021 +0300

    #kgv remarks

(0099343)
git (administrator)
2021-03-03 19:43

Branch CR32144_1 has been created by mkrylova.

SHA-1: dc081b6558ba29883480679dd755b88df91060ba


Detailed log of new commits:

Author: mkrylova
Date: Tue Mar 2 17:22:07 2021 +0300

    0032144: Draw Harness - add -silent option to command Close
    
    - Extended command Close with an option -silent
    - Extended command Close to handle */-ALL for closing ALL document
(0099389)
git (administrator)
2021-03-04 13:47

Branch CR32144_1 has been updated by mkrylova.

SHA-1: 6c7f49f4b3935e66e4ce72da2ecbe5b5bfe38589


Detailed log of new commits:

Author: mkrylova
Date: Thu Mar 4 13:48:03 2021 +0300

    #kgv remarks

(0099390)
git (administrator)
2021-03-04 13:49

Branch CR32144_2 has been created by mkrylova.

SHA-1: 4939c293f905e76d288d82e7607c79f806f41099


Detailed log of new commits:

Author: mkrylova
Date: Tue Mar 2 17:22:07 2021 +0300

    0032144: Draw Harness - add -silent option to command Close
    
    - Extended command Close with an option -silent
    - Extended command Close to handle */-ALL for closing ALL document
    - Replaced catch {Close D} by Close D -silent in tests
(0099396)
git (administrator)
2021-03-04 16:49

Branch CR32144_2 has been updated by mkrylova.

SHA-1: 82a28586e2b12b7ffb7b07c25f7e1a081d978ef0


Detailed log of new commits:

Author: mkrylova
Date: Thu Mar 4 16:37:12 2021 +0300

    #kgv remarks -fixed tests

(0099397)
git (administrator)
2021-03-04 16:58

Branch CR32144_3 has been created by mkrylova.

SHA-1: 0457b42bc73a80b7c7741ebaf7ae6ef6db2f309b


Detailed log of new commits:

Author: mkrylova
Date: Tue Mar 2 17:22:07 2021 +0300

    0032144: Draw Harness - add -silent option to command Close
    
    - Extended command Close with an option -silent
    - Extended command Close to handle */-ALL for closing ALL document
    - Replaced catch {Close D} by Close D -silent in tests
(0099401)
git (administrator)
2021-03-04 17:25

Branch CR32144_4 has been created by kgv.

SHA-1: b5984a9f33a97271e45294fda2a9617a08d42d99


Detailed log of new commits:

Author: mkrylova
Date: Tue Mar 2 17:22:07 2021 +0300

    0032144: Draw Harness - add -silent option to command Close
    
    - Extended command Close with an option -silent
    - Extended command Close to handle */-ALL for closing ALL document
    - Replaced catch {Close D} by Close D -silent in tests
(0099405)
kgv (developer)
2021-03-04 18:48

Please raise the patch
- OCCT: branch CR32144_4.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32144_4-master-KGV/ [^]
(0099476)
bugmaster (administrator)
2021-03-06 12:16

Combination -
OCCT branch : IR-2021-03-05
master SHA - 58210e5983a7986bc4cd1bec9c0b5cb29828fda4
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-03-05 SHA - b3d022cfefe721ee2ad6db68ca360345d656610b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17744.80000000016 / 17811.87000000015 [-0.38%]
Products
Total CPU difference: 11539.9800000001 / 11543.6500000001 [-0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 19321.640625 / 19344.390625 [-0.12%]
Products
Total CPU difference: 12868.796875 / 12900.578125 [-0.25%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099485)
git (administrator)
2021-03-06 13:25

Branch CR32144_4 has been deleted by inv.

SHA-1: b5984a9f33a97271e45294fda2a9617a08d42d99
(0099486)
git (administrator)
2021-03-06 13:25

Branch CR32144_3 has been deleted by inv.

SHA-1: 0457b42bc73a80b7c7741ebaf7ae6ef6db2f309b
(0099487)
git (administrator)
2021-03-06 13:25

Branch CR32144_2 has been deleted by inv.

SHA-1: 82a28586e2b12b7ffb7b07c25f7e1a081d978ef0
(0099488)
git (administrator)
2021-03-06 13:25

Branch CR32144_1 has been deleted by inv.

SHA-1: 6c7f49f4b3935e66e4ce72da2ecbe5b5bfe38589
(0099492)
git (administrator)
2021-03-06 13:25

Branch CR32144 has been deleted by inv.

SHA-1: a6f8c71720109e2450daffd90e721787dbf65170

- Related Changesets
occt: master 395d00e0
Timestamp: 2021-03-02 14:22:07
Author: mkrylova
Committer: bugmaster
Details ] Diff ]
0032144: Draw Harness - add -silent option to command Close

- Extended command Close with an option -silent
- Extended command Close to handle */-ALL for closing ALL document
- Replaced catch {Close D} by Close D -silent in tests
mod - src/DDocStd/DDocStd_ApplicationCommands.cxx Diff ] File ]
mod - src/Draw/Draw.hxx Diff ] File ]
mod - src/Draw/Draw_VariableCommands.cxx Diff ] File ]
mod - tests/bugs/caf/bug2269 Diff ] File ]
mod - tests/bugs/caf/bug29452 Diff ] File ]
mod - tests/bugs/iges/bug26047 Diff ] File ]
mod - tests/bugs/step/bug28454_1 Diff ] File ]
mod - tests/bugs/step/bug28454_2 Diff ] File ]
mod - tests/bugs/step/bug30694 Diff ] File ]
mod - tests/bugs/step/bug31000 Diff ] File ]
mod - tests/bugs/step/bug31670_1 Diff ] File ]
mod - tests/bugs/step/bug31825 Diff ] File ]
mod - tests/bugs/step/bug31923 Diff ] File ]
mod - tests/bugs/step/bug32049 Diff ] File ]
mod - tests/bugs/xde/bug25381 Diff ] File ]
mod - tests/bugs/xde/bug28887_2 Diff ] File ]
mod - tests/caf/bugs/D2 Diff ] File ]
mod - tests/de_mesh/gltf_read/begin Diff ] File ]
mod - tests/de_mesh/gltf_write/begin Diff ] File ]
mod - tests/de_mesh/gltf_write/helmet Diff ] File ]
mod - tests/de_mesh/gltf_write/helmetglb Diff ] File ]
mod - tests/de_mesh/gltf_write/lantern Diff ] File ]
mod - tests/de_mesh/gltf_write/lanternglb Diff ] File ]
mod - tests/de_mesh/obj_read/begin Diff ] File ]
mod - tests/perf/caf/bug5023 Diff ] File ]
mod - tests/perf/caf/bug5023_std Diff ] File ]
mod - tests/v3d/glsl/distinguish_off Diff ] File ]
mod - tests/v3d/glsl/pbr_attenuation Diff ] File ]
mod - tests/v3d/glsl/pbr_tangent_normal Diff ] File ]
mod - tests/v3d/materials/ior Diff ] File ]
mod - tests/v3d/materials/materials Diff ] File ]
mod - tests/v3d/raytrace/helmet Diff ] File ]
mod - tests/v3d/raytrace/normal_map Diff ] File ]
mod - tests/v3d/shadows/buggy Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-19 14:46 kgv New Issue
2021-02-19 14:46 kgv Assigned To => mkrylova
2021-03-03 15:42 git Note Added: 0099337
2021-03-03 19:39 git Note Added: 0099342
2021-03-03 19:43 git Note Added: 0099343
2021-03-03 19:44 mkrylova Assigned To mkrylova => kgv
2021-03-03 19:44 mkrylova Status new => resolved
2021-03-03 19:44 mkrylova Steps to Reproduce Updated View Revisions
2021-03-03 21:29 kgv Assigned To kgv => mkrylova
2021-03-03 21:29 kgv Status resolved => assigned
2021-03-03 21:29 kgv Steps to Reproduce Updated View Revisions
2021-03-04 13:47 git Note Added: 0099389
2021-03-04 13:49 git Note Added: 0099390
2021-03-04 13:50 mkrylova Assigned To mkrylova => abv
2021-03-04 13:50 mkrylova Status assigned => resolved
2021-03-04 13:50 mkrylova Steps to Reproduce Updated View Revisions
2021-03-04 13:52 mkrylova Assigned To abv => kgv
2021-03-04 13:52 mkrylova Status resolved => assigned
2021-03-04 13:53 mkrylova Status assigned => resolved
2021-03-04 16:14 kgv Assigned To kgv => mkrylova
2021-03-04 16:14 kgv Status resolved => assigned
2021-03-04 16:49 git Note Added: 0099396
2021-03-04 16:58 git Note Added: 0099397
2021-03-04 16:59 mkrylova Assigned To mkrylova => kgv
2021-03-04 16:59 mkrylova Status assigned => resolved
2021-03-04 17:25 git Note Added: 0099401
2021-03-04 18:48 kgv Note Added: 0099405
2021-03-04 18:48 kgv Assigned To kgv => bugmaster
2021-03-04 18:48 kgv Status resolved => reviewed
2021-03-06 12:16 bugmaster Note Added: 0099476
2021-03-06 12:16 bugmaster Status reviewed => tested
2021-03-06 12:23 bugmaster Test case number => Not required
2021-03-06 12:34 bugmaster Changeset attached => occt master 395d00e0
2021-03-06 12:34 bugmaster Status tested => verified
2021-03-06 12:34 bugmaster Resolution open => fixed
2021-03-06 13:25 git Note Added: 0099485
2021-03-06 13:25 git Note Added: 0099486
2021-03-06 13:25 git Note Added: 0099487
2021-03-06 13:25 git Note Added: 0099488
2021-03-06 13:25 git Note Added: 0099492


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker